/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 *
 * @author maya
 */

package paduainterface;

public class StrategyConstants {
    protected static final int GAME_MODE_WIN = 1;
    protected static final int GAME_MODE_GAME = 2;
    protected static final int AGENT_PROFILE_AGREEABLE = 1;
    protected static final int AGENT_PROFILE_DISAGREEABLE = 2;
    protected static final int STRATEGY_MODE_BUILD =1;
    protected static final int STRATEGY_MODE_DESTROY =2;
    protected static final double WIN_UP_CONFIDENCE = 70;
    protected static final double GAME_UP_CONFIDENCE = 55;
    protected static final double WIN_DOWN_CONFIDENCE = 20;
    protected static final double GAME_DOWN_CONFIDENCE = 40;

    protected static final int[] GAME_MODE_ALLGAME = {StrategyConstants.GAME_MODE_GAME,StrategyConstants.GAME_MODE_GAME};
    protected static final int[] GAME_MODE_ALLWIN = {StrategyConstants.GAME_MODE_WIN,StrategyConstants.GAME_MODE_WIN};
    protected static final int[] GAME_MODE_PROGAME = {StrategyConstants.GAME_MODE_GAME,StrategyConstants.GAME_MODE_WIN};
    protected static final int[] GAME_MODE_PROWIN = {StrategyConstants.GAME_MODE_WIN,StrategyConstants.GAME_MODE_GAME};

    protected static final int[] STRATEGY_MODE_ALLBUILD = {StrategyConstants.STRATEGY_MODE_BUILD,StrategyConstants.STRATEGY_MODE_BUILD};
    protected static final int[] STRATEGY_MODE_ALLDESTROY = {StrategyConstants.STRATEGY_MODE_DESTROY,StrategyConstants.STRATEGY_MODE_DESTROY};
    protected static final int[] STRATEGY_MODE_PROBUILD = {StrategyConstants.STRATEGY_MODE_BUILD,StrategyConstants.STRATEGY_MODE_DESTROY};
    protected static final int[] STRATEGY_MODE_PRODESTROY = {StrategyConstants.STRATEGY_MODE_DESTROY,StrategyConstants.STRATEGY_MODE_BUILD};

    protected static final int[] PERSUASIVE_AGNET=
    {StrategyConstants.AGENT_PROFILE_AGREEABLE,StrategyConstants.GAME_MODE_WIN, StrategyConstants.STRATEGY_MODE_BUILD};
    protected static final int[] EXHAUST_AGNET=
    {StrategyConstants.AGENT_PROFILE_DISAGREEABLE,StrategyConstants.GAME_MODE_GAME, StrategyConstants.STRATEGY_MODE_DESTROY};

}

