/*
 * Checker.java
 *
 * Created on 09 September 2008, 19:43
 *
 * Checks different data strings 
 *
 * @author maya
 */

package paduainterface;

public class Checker {
    
    /** Creates a new instance of Checker */
    protected Checker() {
    }
    
    //check integer values and not null
    protected static boolean intValue(String value){
        try{
            int intvalue = Integer.parseInt(value);
            return true;
        }
        catch(NumberFormatException e){
            return false;
        }
    }
    //check for double values and not null
    protected static boolean doubleValue(String value){
        try{
            double doubleValue = Double.parseDouble(value);
            return true;
        }
        catch(NumberFormatException e){
            return false;
        }
    }
}
